Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.benchmark.core.history
Class BenchmarkHistoryReport

    java.lang.Object
      org.drools.planner.benchmark.core.history.BenchmarkHistoryReport

    public class BenchmarkHistoryReport

extends Object

Field Summary
`protected File` | `benchmarkHistoryDirectory`
`protected File` | `historyHtmlFile`
`protected Locale` | `locale`
`protected DefaultPlannerBenchmark` | `plannerBenchmark`
`protected File` | `summaryDirectory`

Constructor Summary
`BenchmarkHistoryReport(DefaultPlannerBenchmark plannerBenchmark)`

Method Summary
`File` | `getBenchmarkHistoryDirectory()`
`File` | `getHistoryHtmlFile()`
`Locale` | `getLocale()`
`File` | `getSummaryDirectory()`
`void` | `setLocale(Locale locale)`
`void` | `writeHistory()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### plannerBenchmark

    protected final DefaultPlannerBenchmark plannerBenchmark

### benchmarkHistoryDirectory

    protected File benchmarkHistoryDirectory

### locale

    protected Locale locale

### historyHtmlFile

    protected File historyHtmlFile

### summaryDirectory

    protected File summaryDirectory

Constructor Detail

### BenchmarkHistoryReport

    public BenchmarkHistoryReport(DefaultPlannerBenchmark plannerBenchmark)

Method Detail

### getBenchmarkHistoryDirectory

    public File getBenchmarkHistoryDirectory()

### getLocale

    public Locale getLocale()

### setLocale

    public void setLocale(Locale locale)

### getHistoryHtmlFile

    public File getHistoryHtmlFile()

### getSummaryDirectory

    public File getSummaryDirectory()

### writeHistory

    public void writeHistory()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.